- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.views/saveOverviewTemplate#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.views/saveOverviewTemplate#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.views/saveOverviewTemplate#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.views/saveOverviewTemplate#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.views/saveOverviewTemplate#body.OverviewTemplateData.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.views/saveOverviewTemplate#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.views/saveOverviewTemplate#body.aspect_1)
- [OverviewTemplateEnum](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.views/saveOverviewTemplate#OverviewTemplateEnum)

**Full name**: projects.locations.instances.views.saveOverviewTemplate

Saves a new overview template. This method stores a configuration of `widgets`, metadata, and assigned `roles`, which can be used to render consistent overviews for cases or alerts.

### HTTP request

`POST https://{endpoint}/v1alpha/{parent}/views:saveOverviewTemplate`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The onotlogy record to import visual families for. Format: projects/{project}/locations/{location}/instances/{instance}/Views/{view} |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.views/saveOverviewTemplate#body.OverviewTemplateData`.

### Response body

Represents a full overview template containing widgets and metadata.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "identifier": string, "name": string, "creator": string, "playbookIdentifier": string, "widgets": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.views#TemplateWidgetDefinition`) } ], "roles": [ string ], "id": string, "type": enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.views/saveOverviewTemplate#OverviewTemplateEnum`), "creationTimeUnixTimeInMs": string } ``` |

| Fields ||
|---|---|
| `identifier` | `string` Required. Unique string identifier for this overview template. |
| `name` | `string` Required. Display name of the overview template. |
| `creator` | `string` Optional. Username or ID of the creator. |
| `playbookIdentifier` | `string` Optional. Related playbook identifier (should be a GUID string). |
| `widgets[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.views#TemplateWidgetDefinition`)`` Optional. List of widget definitions contained in the template. |
| `roles[]` | `string (https://developers.google.com/discovery/v1/type-format format)` Optional. List of role IDs assigned to this overview. |
| `id` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. Unique numeric ID of the template. |
| `type` | ``enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.views/saveOverviewTemplate#OverviewTemplateEnum`)`` Required. Type of the overview template. |
| `creationTimeUnixTimeInMs` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. Creation timestamp (Unix epoch time in milliseconds). |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `chronicle.views.update`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).

## OverviewTemplateEnum

Specifies the type or category of the overview template.

| Enums ||
|---|---|
| `OVERVIEW_TEMPLATE_ENUM_UNSPECIFIED` | Unspecified overview template type. |
| `PLAYBOOK_DEFAULT` | Default overview template type. |
| `REGULAR` | Regular overview template type. |
| `SYSTEM_ALERT` | System alert overview template type. |
| `SYSTEM_CASE` | System case overview template type. |
| `ALERT_TYPE` | Alert type overview template type. |
| `SYSTEM_CASE_V2` | System case overview template type V2. This is the default Case view for the Cases 2.0 UI. |
| `SYSTEM_ALERT_V2` | System alert overview template type V2. This is the default alert view for the Cases 2.0 UI. |
| `SYSTEM_DETECTION` | System detection overview template type. |